1. Recipe
Crop.photo
  • Crop.photo API
    • Introduction
    • Authentication
    • FAQs
    • Examples
    • Interactive API Testing
    • Recipe
      • List Recipes
        GET
      • Submit Recipe Job
        POST
      • Poll Recipe Job Status
        GET
      • Fetch Recipe Job Result
        GET
    • Auto Resize & Align
      POST
    • Body Aware Crop
      POST
    • Unrecognizable Crop
      POST
    • Remove Background
      POST
    • AI Lifestyle Crop
      POST
  • Schemas
    • Schemas
      • CreateBannerRequest
      • InputFile
      • MaskFile
      • OutputDimensions
      • BannerConfiguration
      • OutputDimension
      • Output
    • Crop.photo Schema
      • Recipe
        • Recipe
        • RecipeJobOutput
      • Auto Resize and Align Minimum Margins
      • Minimum Margins Lifestyle
      • Output Size and Format
      • Background Settings
      • Image Response Type
      • Image URL
      • Body Aware Crop Markers
      • Preserve Edge Contact
      • Ai model & Analysis hints
      • Body Marker Margins
      • Unrecognizable Crop Margins
      • Center Around Face
      • Unrecognizable Markers
  1. Recipe

List Recipes

Developing
GET
/recipe/list
Returns a paginated list of available recipes for the authenticated tenant. Use start and limit to page through results.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://us1-api.crop.photo/v1/recipe/list' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "start": 0,
    "nEntries": 0,
    "total": 0,
    "entries": [
        {
            "id": "string",
            "name": "string",
            "note": "string",
            "categories": [
                "string"
            ],
            "tags": [
                "string"
            ],
            "outputDimensions": [
                "string"
            ],
            "aspectRatios": [
                "string"
            ],
            "outputFormats": [
                "string"
            ],
            "estimatedCreditsPerImage": 0,
            "aiRecipe": true
        }
    ]
}
🟠401Unauthorized
Modified at 2026-06-23 17:34:03
Previous
Interactive API Testing
Next
Submit Recipe Job
Built with